summaryrefslogtreecommitdiff
path: root/modules.d
diff options
context:
space:
mode:
authorHarald Hoyer <harald@redhat.com>2009-11-27 14:55:02 +0100
committerHarald Hoyer <harald@redhat.com>2009-11-27 14:55:02 +0100
commit8e939709445a2af7f20bc6348bfe455b30004dd2 (patch)
tree2a04ab009a2d0f31d3bb13f922885e4e664c6491 /modules.d
parentb65f499f60e57c6621205916905ff38137a7fdc0 (diff)
fips: do not activate fips module by default
Diffstat (limited to 'modules.d')
-rwxr-xr-xmodules.d/01fips/check19
1 files changed, 19 insertions, 0 deletions
diff --git a/modules.d/01fips/check b/modules.d/01fips/check
new file mode 100755
index 0000000..e5cd87e
--- /dev/null
+++ b/modules.d/01fips/check
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+. $dracutfunctions
+
+for program in ip arping; do
+ which $program >/dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ dwarning "Could not find program \"$program\" required by network."
+ exit 1
+ fi
+done
+for program in dhclient brctl; do
+ which $program >/dev/null 2>&1
+ if [ $? -ne 0 ]; then
+ dwarning "Could not find program \"$program\" it might be required by network."
+ fi
+done
+exit 255
+